> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an incident

> Create an incident



## OpenAPI

````yaml post /uptime/incidents
openapi: 3.1.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Platform
    description: Platform
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Integrations
    description: Integrations
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Maintenance Windows
    description: Maintenance Windows
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
paths:
  /uptime/incidents:
    post:
      tags:
        - Incidents
      summary: Create an incident
      description: Create an incident
      operationId: createUptimeIncident
      parameters:
        - $ref: '#/components/parameters/header_project_id'
        - $ref: '#/components/parameters/header_project_slug'
      requestBody:
        description: Incident request
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  description: Incident title
                  type: string
                  example: Service is not working as expected
                  maxLength: 250
                  minLength: 1
                description:
                  description: Description of the error that caused the incident
                  type:
                    - string
                    - 'null'
                  example: 'The server answered with an unexpected status code: 503.'
                  maxLength: 2000
                  minLength: 1
                exclude_from_downtime:
                  description: Flag to exclude the incident from downtime calculations
                  type: boolean
                  example: false
                incident_at:
                  description: >-
                    Date of incident confirmation, defaults to the current date
                    on creation. Must be within the last year and no more than
                    10 minutes in the future.
                  type:
                    - string
                    - 'null'
                  format: date-time
                recovery_at:
                  description: >-
                    Date of incident recovery. Must be after `incident_at`,
                    within the last year and no more than 10 minutes in the
                    future. Cannot be removed once the incident is recovered.
                  type:
                    - string
                    - 'null'
                  format: date-time
                monitors:
                  description: List of monitors linked to the incident
                  type: array
                  items:
                    type: integer
                  example:
                    - 1
                    - 2
                    - 3
                  maxItems: 100
                  minItems: 1
                tags:
                  description: >-
                    Resource tags, made of lowercase letters, numbers, `.`, `_`,
                    `:` and `-`. An organization can have up to 200 tags.
                  type:
                    - array
                    - 'null'
                  items:
                    type: string
                    example: environment:production
                    maxLength: 100
                    minLength: 1
                  maxItems: 20
                impact:
                  description: Incident impact
                  type: string
                  enum:
                    - unknown
                    - maintenance
                    - degraded_performance
                    - partial_outage
                    - major_outage
              required:
                - impact
                - title
                - exclude_from_downtime
                - monitors
      responses:
        '201':
          description: Success, incident created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: 1
                  project_id:
                    description: Parent project ID
                    type: integer
                    example: 1
                  type:
                    $ref: '#/components/schemas/Uptime.Incident.TypeEnum'
                    description: Incident type
                  slug:
                    description: Incident unique slug name
                    type: string
                    example: APP-123
                  impact:
                    $ref: '#/components/schemas/Uptime.Incident.ImpactEnum'
                    description: Incident impact
                  state:
                    $ref: '#/components/schemas/Uptime.Incident.StateEnum'
                    description: Incident state
                  status:
                    $ref: '#/components/schemas/Uptime.Incident.StatusEnum'
                    description: Incident status
                  title:
                    description: Incident title
                    type: string
                    example: Service is not working as expected
                    maxLength: 250
                    minLength: 1
                  description:
                    description: Description of the error that caused the incident
                    type:
                      - string
                      - 'null'
                    example: 'The server answered with an unexpected status code: 503.'
                    maxLength: 2000
                    minLength: 1
                  exclude_from_downtime:
                    description: Flag to exclude the incident from downtime calculations
                    type: boolean
                    example: false
                  incident_at:
                    description: >-
                      Date of incident confirmation, defaults to the current
                      date on creation. Must be within the last year and no more
                      than 10 minutes in the future.
                    type:
                      - string
                      - 'null'
                    format: date-time
                  recovery_at:
                    description: >-
                      Date of incident recovery. Must be after `incident_at`,
                      within the last year and no more than 10 minutes in the
                      future. Cannot be removed once the incident is recovered.
                    type:
                      - string
                      - 'null'
                    format: date-time
                  monitors:
                    description: List of monitors linked to the incident
                    type: array
                    items:
                      type: integer
                    example:
                      - 1
                      - 2
                      - 3
                    maxItems: 100
                    minItems: 1
                  tags:
                    description: >-
                      Resource tags, made of lowercase letters, numbers, `.`,
                      `_`, `:` and `-`. An organization can have up to 200 tags.
                    type:
                      - array
                      - 'null'
                    items:
                      type: string
                      example: environment:production
                      maxLength: 100
                      minLength: 1
                    maxItems: 20
                  created_at:
                    description: Date of creation for the entity
                    type: string
                    format: date-time
                  updated_at:
                    description: Date of last update for the entity
                    type: string
                    format: date-time
                required:
                  - impact
                  - title
                  - exclude_from_downtime
                  - monitors
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '422':
          $ref: '#/components/responses/422'
components:
  parameters:
    header_project_id:
      name: X-Phare-Project-Id
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: integer
        example: 1
    header_project_slug:
      name: X-Phare-Project-Slug
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: string
        example: luminous-guiding-tower
  schemas:
    Uptime.Incident.TypeEnum:
      type: string
      enum:
        - monitor
        - manual
    Uptime.Incident.ImpactEnum:
      type: string
      enum:
        - unknown
        - operational
        - maintenance
        - degraded_performance
        - partial_outage
        - major_outage
    Uptime.Incident.StateEnum:
      type: string
      enum:
        - unknown
        - investigating
        - identified
        - monitoring
        - resolved
    Uptime.Incident.StatusEnum:
      type: string
      enum:
        - ongoing
        - recovering
        - recovered
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthenticated.
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The platform:write permission is required to perform this
                  action.
            type: object
    '422':
      description: Error, unprocessable entity
      content:
        application/json:
          schema:
            description: Validation error schema
            properties:
              message:
                type: string
              errors:
                properties:
                  key:
                    type: array
                    items:
                      type: string
                      example: The key field is required
                type: object
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.